# -*- coding: utf-8 -*-
from dspawpy.diffusion.nebtools import plot_barrier

directory_of_neb_task = (
    "dspawpy_proj/dspawpy_tests/inputs/2.15"  # <-- 请修改成实际NEB路径
)

# 三次样条插值 (CubicSpline) 绘制能垒图
plot_barrier(
    directory=directory_of_neb_task,  # neb任务的路径
    method="CubicSpline",  # 三次样条插值
    figname="dspawpy_proj/dspawpy_tests/outputs/us/8neb_barrier_CubicSpline.png",  # 输出的能垒图文件名
    show=False,  # 是否显示能垒图
)
